Bug 100181 - loffice --quickstart crashes immediately with "Application Error" without Quickstarter installed
Summary: loffice --quickstart crashes immediately with "Application Error" without Qui...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.3.1 rc
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-01 20:22 UTC by Reto
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Debian Bug report logs - #819878: loffice --quickstart crashes immediately with "Application Error" without Quickstarter installed (-gtk) (81.43 KB, text/html)
2016-06-01 20:22 UTC, Reto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reto 2016-06-01 20:22:59 UTC
Created attachment 125450 [details]
Debian Bug report logs - #819878: loffice --quickstart crashes immediately with "Application Error" without Quickstarter installed (-gtk)

According to Debian bug #819878 the systray quickstarter had to be disabled due to the fact that the command loffice --quickstart crashes if libreoffice-gtk is not installed. Unless the respective handling code is changed, LO's quickstarter is no longer usable for Debian. See for detailed description in the attached bug report.
Comment 1 Rene Engelhard 2016-06-08 14:03:26 UTC
are you sure upstream is even affected? TTBOMK they include the Quickstarter in the "core" packages. Which Debian doesn't/didn't given it's Gtk dependencies)
Comment 2 Reto 2016-06-08 21:15:38 UTC
Yes, unless Debian reconsiders not to include the Quickstarter in the "core" packages due to its GTk depencies. If not, LO might change the handling of the Quickstarter option strictly assuming -gtk while building with --disable-systray. I assume this would allow Debian to revoke the disabling of the option.
Comment 3 Caolán McNamara 2016-06-09 20:25:48 UTC
https://gerrit.libreoffice.org/26134 probably fixes this, I'll let it build on all platforms before pushing
Comment 4 Commit Notification 2016-06-10 08:05:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfb2a8deab1324047a4ed81a131a1ef3552c3e8e

Resolves: tdf#100181 quickstart crashes immediately without Quickstarter

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-10 08:07:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd02cca2e64b061ddd5003ad0485dcbfae7f5ddf&h=libreoffice-5-2

Resolves: tdf#100181 quickstart crashes immediately without Quickstarter

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-06-11 10:11:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63a54519f6cd3e0c22a1a24015002d07407ac37e&h=libreoffice-5-1

Resolves: tdf#100181 quickstart crashes immediately without Quickstarter

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.